
QGIS Application - Feature request #1238

increase the precision of lines/outlines size settings in Symbology

2008-08-21 07:20 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 11298

Description

I request that the various Symbology size settings have a precision to at least 4 places to the right of the decimal point, especially the Line

width.

Here is why: with only 0.01 precision for Outline width it is impossible to render lines on screen that are exactly one pixel, for example.

There will be gaps or two pixel width short segments quite often, which are especially noticeable on straight lines.

I believe that this behavior could cause some annoyance to many users (it annoys me because I can't set a better value that I know would

work) and probably complaints.

I know that when a map is rendered to a high resolution printer the precision of the size doesn't make much difference in the result, but it

does affect low resolution devices like computer displays.

I have found that a value of approximately 0.26458 for Outline width results in almost no gapping on a typical Windows computer. This

may vary depending on platform.

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-25 11:55 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Resolution set to duplicate

- Assignee deleted (nobody -)

- Status changed from Open to Closed

Merged with #4217
